[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazReaderIconDIB

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements an image reader for a single DIB in an icon file.

## Declaration

Source position: intfgraphics.pas line 555

`type TLazReaderIconDIB = class(TLazReaderDIB)`
`protected`
`procedure InternalRead(); override;` |  |
`end;`

## Inheritance

`TLazReaderIconDIB` |  | Implements an image reader for a single DIB in an icon file.
`TLazReaderDIB,ILazImageReader` |  |
`TFPCustomImageReader`
?
`TObject`

## Description

TLazReaderIconDIB is a FPImage reader for a single DIB from an icon file.